## org.mortbay.jetty.handler.rewrite
Class RewritePatternRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.PatternRule
              org.mortbay.jetty.handler.rewrite.RewritePatternRule

    public class RewritePatternRule

extends PatternRule

Rewrite the URI by replacing the matched `PathMap` path with a fixed string.

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`_pattern`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`RewritePatternRule()`

Method Summary
`java.lang.String` `apply(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`void` `setReplacement(java.lang.String value)` Whenever a match is found, it replaces with this value.
`java.lang.String` `toString()` Returns the replacement string.

Methods inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`getPattern, matchAndApply, setPattern`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RewritePatternRule

    public RewritePatternRule()

Method Detail

### setReplacement

    public void setReplacement(java.lang.String value)

  Whenever a match is found, it replaces with this value.

  Parameters:
    `value` - the replacement string.

### apply

    public java.lang.String apply(java.lang.String target,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException

  Description copied from class: `PatternRule`
  Apply the rule to the request

  Specified by:
    `apply` in class `PatternRule`
  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)
  Throws:
    `java.io.IOException` - exceptions dealing with operating on request or response objects

### toString

    public java.lang.String toString()

  Returns the replacement string.

  Overrides:
    `toString` in class `PatternRule`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.